Package org.apache.catalina.valves

# Class AbstractAccessLogValve.ProtocolElement

java.lang.Object
org.apache.catalina.valves.AbstractAccessLogValve.ProtocolElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`

Enclosing class:
  `AbstractAccessLogValve`

protected class AbstractAccessLogValve.ProtocolElement extends Object implements AbstractAccessLogValve.AccessLogElement
write request protocol - %H

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ProtocolElement()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProtocolElement

protected ProtocolElement()

## Method Details

### addElement

public void addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)

Specified by:
  `addElement` in interface `AbstractAccessLogValve.AccessLogElement`